> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Location Resources

> Retrieves all location resources. Can include reference fields to resolve and filter by field values. Supports pagination using cursor and limit parameters.



## OpenAPI

````yaml GET /api/resources/locations
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/resources/locations:
    get:
      tags:
        - Default Partner Resources
      summary: List Location Resources
      description: >-
        Retrieves all location resources. Can include reference fields to
        resolve and filter by field values. Supports pagination using cursor and
        limit parameters.
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: >-
              Comma-separated list of reference ($ref) fields to include in the
              response. (Supports nested references with dot notation)
          required: false
          description: >-
            Comma-separated list of reference ($ref) fields to include in the
            response. (Supports nested references with dot notation)
          name: include
          in: query
        - schema:
            type: object
            additionalProperties:
              nullable: true
            description: >-
              Map of field names to values to filter the resources by. Can be in
              the format
              ?filters[field_name]=value&filters[other_field_name]=value2
          required: false
          description: >-
            Map of field names to values to filter the resources by. Can be in
            the format
            ?filters[field_name]=value&filters[other_field_name]=value2
          name: filters
          in: query
        - schema:
            type: string
            description: >-
              Cursor for pagination. Use the cursor from the previous response
              to get the next page.
          required: false
          description: >-
            Cursor for pagination. Use the cursor from the previous response to
            get the next page.
          name: cursor
          in: query
        - schema:
            type: number
            nullable: true
            default: 100
            description: >-
              Number of items to return per page. Default is 100, maximum is
              1000.
          required: false
          description: Number of items to return per page. Default is 100, maximum is 1000.
          name: limit
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'true'
            description: >-
              Whether to include total count in pagination response. Default is
              true. **DEPRECATION NOTICE:** The default will change to false in
              a future release for performance reasons. If you rely on
              pagination.total, explicitly set includeCounts=true.
          required: false
          description: >-
            Whether to include total count in pagination response. Default is
            true. **DEPRECATION NOTICE:** The default will change to false in a
            future release for performance reasons. If you rely on
            pagination.total, explicitly set includeCounts=true.
          name: includeCounts
          in: query
        - schema:
            type: string
            enum:
              - object
              - id
            default: object
            description: >-
              How to return reference fields: object = { type, id } (default),
              id = plain id or array of ids. "id" is recommended and will become
              the default in a future version.
          required: false
          description: >-
            How to return reference fields: object = { type, id } (default), id
            = plain id or array of ids. "id" is recommended and will become the
            default in a future version.
          name: referenceFormat
          in: query
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              description: Unique identifier for the resource
                            schema_definition_id:
                              type: string
                              format: uuid
                              description: >-
                                [Deprecated] Please use schemaDefinitionId
                                instead. ID of the schema definition for this
                                resource
                            schemaDefinitionId:
                              type: string
                              format: uuid
                              description: ID of the schema definition for this resource
                            platform_id:
                              type: string
                              format: uuid
                              description: >-
                                [Deprecated] Please use platformId instead. ID
                                of the platform this resource belongs to
                            platformId:
                              type: string
                              format: uuid
                              description: ID of the platform this resource belongs to
                            business_id:
                              type: string
                              format: uuid
                              description: >-
                                [Deprecated] Please use businessId instead. ID
                                of the business this resource belongs to
                            businessId:
                              type: string
                              format: uuid
                              description: ID of the business this resource belongs to
                            resource_external_id:
                              type: string
                              description: External ID of the resource
                            resourceExternalId:
                              type: string
                              description: >-
                                [Deprecated] Please use resourceExternalId
                                instead. External ID of the resource
                            created_at:
                              type: string
                              description: '[Deprecated] Please use createdAt instead'
                            createdAt:
                              type: string
                              description: Creation timestamp
                            updated_at:
                              type: string
                              description: '[Deprecated] Please use updatedAt instead'
                            updatedAt:
                              type: string
                              description: Last update timestamp
                            data:
                              type: object
                              properties:
                                locationId:
                                  type: string
                                name:
                                  type: string
                                address:
                                  type: string
                                  description: Primary address line
                                address2:
                                  type: string
                                  description: >-
                                    Secondary address line (apartment, suite,
                                    etc.)
                                address3:
                                  type: string
                                  description: Additional address line
                                city:
                                  type: string
                                state:
                                  type: string
                                zipCode:
                                  type: string
                              required:
                                - locationId
                                - name
                                - address
                                - city
                                - state
                                - zipCode
                          required:
                            - id
                            - schema_definition_id
                            - schemaDefinitionId
                            - platform_id
                            - platformId
                            - business_id
                            - businessId
                            - resource_external_id
                            - resourceExternalId
                            - created_at
                            - createdAt
                            - updated_at
                            - updatedAt
                            - data
                      pagination:
                        type: object
                        properties:
                          hasNextPage:
                            type: boolean
                          cursor:
                            type: string
                            nullable: true
                          total:
                            type: number
                        required:
                          - hasNextPage
                      included:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              description: Unique identifier for the resource
                            schema_definition_id:
                              type: string
                              format: uuid
                              description: >-
                                [Deprecated] Please use schemaDefinitionId
                                instead. ID of the schema definition for this
                                resource
                            schemaDefinitionId:
                              type: string
                              format: uuid
                              description: ID of the schema definition for this resource
                            platform_id:
                              type: string
                              format: uuid
                              description: >-
                                [Deprecated] Please use platformId instead. ID
                                of the platform this resource belongs to
                            platformId:
                              type: string
                              format: uuid
                              description: ID of the platform this resource belongs to
                            business_id:
                              type: string
                              format: uuid
                              description: >-
                                [Deprecated] Please use businessId instead. ID
                                of the business this resource belongs to
                            businessId:
                              type: string
                              format: uuid
                              description: ID of the business this resource belongs to
                            resource_external_id:
                              type: string
                              description: External ID of the resource
                            resourceExternalId:
                              type: string
                              description: >-
                                [Deprecated] Please use resourceExternalId
                                instead. External ID of the resource
                            created_at:
                              type: string
                              description: '[Deprecated] Please use createdAt instead'
                            createdAt:
                              type: string
                              description: Creation timestamp
                            updated_at:
                              type: string
                              description: '[Deprecated] Please use updatedAt instead'
                            updatedAt:
                              type: string
                              description: Last update timestamp
                            data:
                              type: object
                              properties:
                                locationId:
                                  type: string
                                name:
                                  type: string
                                address:
                                  type: string
                                  description: Primary address line
                                address2:
                                  type: string
                                  description: >-
                                    Secondary address line (apartment, suite,
                                    etc.)
                                address3:
                                  type: string
                                  description: Additional address line
                                city:
                                  type: string
                                state:
                                  type: string
                                zipCode:
                                  type: string
                              required:
                                - locationId
                                - name
                                - address
                                - city
                                - state
                                - zipCode
                          required:
                            - id
                            - schema_definition_id
                            - schemaDefinitionId
                            - platform_id
                            - platformId
                            - business_id
                            - businessId
                            - resource_external_id
                            - resourceExternalId
                            - created_at
                            - createdAt
                            - updated_at
                            - updatedAt
                            - data
                        description: >-
                          Included resources when specified in the include
                          parameter
                    required:
                      - results
                      - pagination
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message
        '404':
          description: Status 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      error:
                        type: string
                    required:
                      - error
                required:
                  - success

````